Debian Bug report logs - #719888
developers-reference: Says next stable release will be called wheezy

version graph

Package: developers-reference; Maintainer for developers-reference is Developers Reference Maintainers <debian-policy@lists.debian.org>; Source for developers-reference is src:developers-reference.

Reported by: Fabien Givors <f+debian@chezlefab.net>

Date: Fri, 16 Aug 2013 14:24:02 UTC

Severity: normal

Tags: patch

Found in version developers-reference/3.4.11

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#719888; Package developers-reference. (Fri, 16 Aug 2013 14:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabien Givors <f+debian@chezlefab.net>:
New Bug report received and forwarded. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Fri, 16 Aug 2013 14:24:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabien Givors <f+debian@chezlefab.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: developers-reference: Says next stable release will be called wheezy
Date: Fri, 16 Aug 2013 15:55:22 +0200
Package: developers-reference
Version: 3.4.11
Severity: normal

Dear Maintainers,

In section 4.6.5, the document enumerates all the previous code names of Debian
up to squeeze and states that the next release will be called Wheezy.

A simple fix would be to add Wheezy to the list and say that the next release
will be Jessie.
However, this would add a bug to Jessie that would appear only as soon as Jessie
is stable.

I suggest to rephrase this paragraph so that it avoids this "fixed point"
problem. E.g.: "At the time this document is written, it is aimed to belong to
Debian jessie which will be numbered 8.0 when officially released."

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.11-rc4-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

developers-reference depends on no packages.

Versions of packages developers-reference recommends:
pn  debian-policy  <none>

Versions of packages developers-reference suggests:
ii  doc-base  0.10.5

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#719888; Package developers-reference. (Sat, 17 Aug 2013 06:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sat, 17 Aug 2013 06:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 719888@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Fabien Givors <f+debian@chezlefab.net>, 719888@bugs.debian.org
Subject: Re: Bug#719888: developers-reference: Says next stable release will be called wheezy
Date: Sat, 17 Aug 2013 15:40:57 +0900
Le Fri, Aug 16, 2013 at 03:55:22PM +0200, Fabien Givors a écrit :
> 
> I suggest to rephrase this paragraph so that it avoids this "fixed point"
> problem. E.g.: "At the time this document is written, it is aimed to belong to
> Debian jessie which will be numbered 8.0 when officially released."

Dear Fabien,

would you like to convert your suggestion into a patch ?  You can download the
source of the Developers reference with "apt-get source developers-reference"
or "debcheckout developers-reference".

Have a nice week-end,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#719888; Package developers-reference. (Sat, 17 Aug 2013 09:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Fabien Givors (Debian)" <f+debian@chezlefab.net>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sat, 17 Aug 2013 09:51:09 GMT) Full text and rfc822 format available.

Message #15 received at 719888@bugs.debian.org (full text, mbox):

From: "Fabien Givors (Debian)" <f+debian@chezlefab.net>
To: Charles Plessy <plessy@debian.org>, 719888@bugs.debian.org
Subject: Re: Bug#719888: developers-reference: Says next stable release will be called wheezy
Date: Sat, 17 Aug 2013 11:34:56 +0200
[Message part 1 (text/plain, inline)]
Le 17/08/2013 08:40, Charles Plessy a écrit :
> would you like to convert your suggestion into a patch ?  You can download the
> source of the Developers reference with "apt-get source developers-reference"
> or "debcheckout developers-reference".

Hi Charles,

Ok, you'll find the patch (for svn revision r10224) enclosed to this
message.
I changed my previous suggestion to:

>> At the time of writing, this documentation is aimed to be part of
>> <literal>jessie</literal> which will be Debian 8.0 once released.

which I think is a bit more elegant.

I'm not familiar with providing patch for documentation and didn't know
if I had to do the "make pot" myself, so I didn't.

> Have a nice week-end,
Thanks, you too,

-- 
fabien givors
[patch-codename-jessie-r10224.diff (text/plain, attachment)]

Added tag(s) patch. Request was from "Fabien Givors (Debian)" <f+debian@chezlefab.net> to control@bugs.debian.org. (Sat, 17 Aug 2013 15:21:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:57:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.